<?php
namespace Modules\API\APIInterne\OxaMobility\Controller;

use Entity\Model\Hastutil;
use Entity\Model\Paravrac;
use GuzzleHttp\Psr7\Response;
use Helpers\Outil\Sql;
use Modules\API\APIInterne\OxaMobility\Outil\OutilExtension;

// phpcs:ignore
class PAGE_AccessCreateDsController extends AbsApiController
{

    public function INITAction() :Response
    {
        $jwtPayload = $this->request->getJwtPayload();
        $PARAVRAC = new Paravrac($this->pdo);
        //Oxaproc Mode réapprovionnement activé
        $paramCode = $PARAVRAC->find(["TYPEPARV" => 'PARAMSTO', "CODEPARV" => 'OXAPROC_MODE_REAPPRO_ACTIF']);
        $utilisateur = new Hastutil($this->pdo);

        // Si On est en Mode panier stock pour réapprovisionnement : Si Mode Oxaproc activé et le User est magasinier
        if ($paramCode == '0' && Sql::toBool($utilisateur->find($jwtPayload['user'])['MAGASIN'])) {
            $return['DS_CREATE_RULE'] = 1;
        } else {
            $return['DS_CREATE_RULE'] = 0;
        }

        return $this->createApiResponse($return);
    }
}
